#define E_TSHOT     0x01
#define E_PSHOT     0x02
#define NOENEMY (struct Enemy *) -1

struct Enemy {
    int e_info;
    int e_dist;
    unsigned char e_course; /* course to enemy */
    unsigned char e_tcourse;    /* torpedo intercept course to enemy */
    unsigned int e_flags;
};

struct torpdiff {
	int t_active;
    int t_x;
    int t_y;
    int t_dx;
    int t_dy;
};

struct playerdiff {
	int p_alive;
    int p_x;
    int p_y;
    int p_dx;
    int p_dy;
	int p_beamup;
	int p_beamdown;
	int p_estbeamup;
	int p_estbeamdown;
	int p_armies;
	int p_estarmies;
	int p_cloaked;
};

struct planetdiff {
	int pl_touched;
	int pl_info;
	int pl_flags;
	int pl_oldarmies;
	int pl_armies;
	int pl_darmies;
};

typedef enum 
{
  Null,
  Spam,
  Defend
} StrategyType;

extern int autoShieldDist;
extern int autoShieldEnabled;

extern int torpFlightType;

extern int borgTarget;

extern int teamPicked;
extern int myTeam;
extern int myShip;


/*
extern struct torpdiff torpdiffs[MAXPLAYER * MAXTORP];
extern struct playerdiff playerdiffs[MAXPLAYER];
extern struct planetdiff planetdiffs[MAXPLANETS];

extern int userShield;
extern int autoTorpDist;
extern int autoPhaserDist;
extern int autoPhaserPlasmaDist;
extern int torpProjectLength;
extern int autoTorpPercent;
extern int autoPhaserPercent;
extern int autoPhaserPlasmaPercent;
extern int autoDetLowerSpeed;
extern int autoDetUpperSpeed;

extern int beamFlag;
extern int broadcastBeamers;
extern int borgMasterSwitch;
extern int fuelDamageEnabled;
extern int rememberPlanetsEnabled;
extern int showBeamersEnabled;
extern int seeCloakersEnabled;
extern int autoTorpEnabled;
extern int autoPhaserEnabled;
extern int autoDetEnabled;
extern int torpClosestEnabled;
extern int phaserClosestEnabled;
extern int projectTorpsEnabled;
extern int autoPhaserPlasmaEnabled;
extern int planetInfoEnabled;
extern int headsUpEnabled;
extern int updateDelay;
extern int constantPracticeEnabled;
extern int autoOgg;

extern W_Window clientWin, borgHelpWin, infoMenuWin;

extern W_Color projectColor, myShipColor, myShieldColor, myWeaponsColor,
				borgTextColor, rememberColor, targetColor;

extern int W_TinyTextheight, W_TinyTextwidth;
extern W_Font	W_TinyFont;
*/
